Use this API to manage an instance’s appearance and application settings, and to retrieve statistics about the instance.
Changes to application settings are subject to caching and might not take effect immediately. By default, GitLab caches application settings for 60 seconds. For more information, see application cache interval.
All of these endpoints require administrator access to the instance.
Get the current appearance
GET /api/v4/application/appearance
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
Modify appearance
PUT /api/v4/application/appearance
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
description | String | Markdown text shown on the sign in / |
email_ | Boolean | Add header and footer to all outgoing emails if enabled |
favicon | String (binary) | Instance favicon in . |
footer_ | String | Message within the system footer bar |
header_ | String (binary) | Instance image used for the main navigation bar |
header_ | String | Message within the system header bar |
logo | String (binary) | Instance image used on the sign in / |
member_ | String | Markdown text shown on the members page of a group or project |
message_ | String | Background color for the system header / |
message_ | String | Font color for the system header / |
new_ | String | Markdown text shown on the new project page |
profile_ | String | Markdown text shown on the profile page below Public Avatar |
pwa_ | String | An explanation of what the Progressive Web App does |
pwa_ | String (binary) | Icon used for Progressive Web App |
pwa_ | String | Name of the Progressive Web App |
pwa_ | String | Optional, |
site_ | String | Last part of the webpage title. |
title | String | Instance title on the sign in / |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
Retrieve application settings
GET /api/v4/application/settings
Retrieves the current application settings for this GitLab instance.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
Update application settings
PUT /api/v4/application/settings
Updates the current application settings for this GitLab instance. At least one setting must be updated.
Request body (application/json)
| Property | Type | Description |
|---|---|---|
abuse_ | String | If set, |
admin_ | Boolean | If true, |
admin_ | String | If set,abuse_ instead |
after_ | String | Users are redirected to this page after they sign out |
after_ | String | Text shown after sign up |
ai_ | Integer | Maximum requests a user can make per 8 hours to ai |
akismet_ | String | Generate API key at http: |
akismet_ | Boolean | If true,akismet_ |
allow_ | String | If true, |
allow_ | String | If true,gitlab-. |
allow_ | String | If true, |
allow_ | String | — |
allow_ | String | — |
allow_ | Boolean | If true,allow_ instead |
allow_ | String | If true, |
allow_ | String | If true, |
allow_ | String | — |
allow_ | String | If true,true |
allow_ | Boolean | If true,true |
allow_ | String | If true, |
anonymous_ | String | — |
archive_ | String | Set the duration for which the jobs are considered as old and expired.15 days,1 month,2 years |
asciidoc_ | String | Maximum number of Ascii32.64 |
asset_ | Array of strings | Assets that match these domains are not proxied. |
asset_ | Boolean | Enable proxying of assets |
asset_ | String | Shared secret with the asset proxy server |
asset_ | String | URL of the asset proxy server |
asset_ | Array of strings | Assets that match these domains are not proxied.asset_ instead |
authn_ | Boolean | If true, |
authorized_ | String | If true,authorized_ file to authenticate SSH keys,Authorized.true |
auto_ | String | If true,false. |
auto_ | String | Specify a domain to use by default for every project’s Auto Review Apps and Auto Deploy stages |
auto_ | String | If true, |
autocomplete_ | Integer | Maximum number of authenticated requests per minute per user to the users autocomplete endpoint |
autocomplete_ | Integer | Maximum number of unauthenticated requests per minute per IP address to the users autocomplete endpoint |
background_ | String | — |
block_ | String | — |
bulk_ | Integer | Maximum number of simultaneous direct transfer batch exports to process |
bulk_ | Boolean | If true, |
bulk_ | Integer | Maximum download file size, |
bulk_ | String | Maximum download file size when importing from source Git |
can_ | String | If true,true |
can_ | String | — |
ci_ | String | Maximum value that is allowed for configuring pipeline retention.1 year |
ci_ | Boolean | If true, |
ci_ | Integer | Job log update interval when the job log is not open, |
ci_ | Integer | Job log update interval when the job log is open, |
ci_ | Integer | Maximum number of CI Lint requests per minute per user.0 for unlimited requests. |
ci_ | Integer | Maximum number of caches that can be defined in a single CI/ |
ci_ | Integer | Maximum number of includes per pipeline.150 |
ci_ | String | Maximum amount of memory, |
ci_ | String | Time window,2592000).ci_ instead. |
ci_ | String | Time window before new CI partitions are created and the system switches to the next set of partitions.1 month and 6 months.1 month |
code_ | Array of objects | Custom “Open with” clients shown in the project Code dropdown list |
code_ | String | URL template opened for the HTTPS clone URL. |
code_Required | String | Name shown to users in the Code dropdown list |
code_ | String | URL template opened for the SSH clone URL. |
code_ | Integer | Maximum number of requests a user can make to the code suggestions endpoint per minute |
commit_ | String | Custom hostname (for private commit emails) |
concurrent_ | Integer | Maximum number of simultaneous import jobs for the Bitbucket Cloud importer.100 |
concurrent_ | Integer | Maximum number of simultaneous import jobs for the Bitbucket Server importer.100 |
concurrent_ | Integer | Maximum number of simultaneous import jobs for the Git1000 |
concurrent_ | Integer | Maximum number of simultaneous pull request import jobs for the Git200 |
concurrent_ | Integer | Maximum number of simultaneous batch export jobs to process |
concurrent_ | String | — |
container_ | String | If true, |
container_ | String | Maximum number of tags that can be deleted in a single execution of cleanup policies |
container_ | String | Maximum time, |
container_ | String | If true, |
container_ | String | Number of workers for cleanup policies |
container_ | Integer | Duration, |
create_ | String | — |
custom_ | String | Set a custom Git clone URL for HTTP(S) |
deactivate_ | String | — |
deactivate_ | String | — |
deactivation_ | String | — |
decompress_ | Integer | Timeout for decompressing archived files,0 to disable the timeout |
default_ | String | Set the default expiration time for each job’s artifacts |
default_ | String | Set the initial branch name for all projects in an instance |
default_ | Integer | Level of protection for the default branch.default_ insteadAllowed values: 0,3,1,2,4 |
default_ | Object | Default branch protection settings.default_. |
default_ | Boolean | If true, |
default_ | Array of objects | Array of access levels allowed to merge into the default branch |
default_Required | Integer | Access level allowed to merge into the default branch Allowed values: 30,40,60,0 |
default_ | Array of objects | Array of access levels allowed to push to the default branch |
default_Required | Integer | Access level allowed to push to the default branch Allowed values: 30,40,60,0 |
default_ | Boolean | Require approval from code owners |
default_ | Boolean | If true, |
default_ | String | Default CI/. |
default_ | String | Default dark mode syntax highlighting theme for users who are new or not signed in. |
default_ | String | What visibility level new groups receive.private.restricted_Allowed values: private,internal,public |
default_ | String | Default preferred language for users who are not logged in |
default_ | Integer | Default minimum role required to create projects.0 (No one),1 (Maintainers),2 (Developers),3 (Administrators),4 (Owners)Allowed values: 0,3,4,1,2 |
default_ | String | What visibility level new projects receive.private.restricted_Allowed values: private,internal,public |
default_ | Integer | Maximum number of personal projects per user.100000 |
default_ | String | — |
default_ | String | What visibility level new snippets receive.privateAllowed values: private,internal,public |
default_ | String | Default syntax highlighting theme for users who are new or not signed in. |
delay_ | String | — |
delete_ | String | Enable dormant project deletion.false |
deletion_ | String | Number of days to wait before deleting a project or group that is marked for deletion.1 and 90.30 |
deny_ | String | — |
dependency_ | Object | Dependency management settings.security_ (integer) to cap the number of security update scheduler jobs that run concurrently across the Sidekiq fleet.30.200.0 to remove the concurrency limit. |
dependency_ | Integer | Maximum number of dependency management security update scheduler jobs to run concurrently across the Sidekiq fleet |
description_ | Integer | Maximum work item, |
diagramsnet_ | Boolean | If true,diagramsnet_.true |
diagramsnet_ | String | The Diagrams. |
diff_ | String | Maximum number of diff commits per merge request |
diff_ | String | Maximum number of files in a diff |
diff_ | String | Maximum number of lines in a diff |
diff_ | String | Maximum diff patch size, |
diff_ | String | Maximum number of diff versions per merge request |
disable_ | Boolean | Stop administrators from connecting to non- |
disable_ | Boolean | Disable display of RSS/feed_ |
disable_ | String | Disable password authentication in the web interface for users with an SSO identity.false |
disabled_ | Array of strings | OAuth sign- |
dns_ | String | If true, |
domain_ | Array of strings | Only users with email addresses that match these domains can sign up.domain. or *.. |
domain_ | String | — |
domain_ | Array of strings | Users with e- |
domain_ | Boolean | If true,domain_ |
domain_ | String | — |
downstream_ | Integer | Maximum number of downstream pipelines that can be triggered per minute for a given project,0 (no restriction) |
dsa_ | Integer | Restrictions on the complexity of uploaded DSA keys. Allowed values: 0,1024,2048,3072,- |
dynamic_ | String | — |
ecdsa_ | Integer | Restrictions on the complexity of uploaded ECDSA keys. Allowed values: 0,256,384,521,- |
ecdsa_ | Integer | Restrictions on the complexity of uploaded ECDSA_ Allowed values: 0,256,- |
ed25519_ | Integer | Restrictions on the complexity of uploaded ED25519 keys. Allowed values: 0,256,- |
ed25519_ | Integer | Restrictions on the complexity of uploaded ED25519_ Allowed values: 0,256,- |
eks_ | String | Access key ID for the EKS integration IAM user |
eks_ | String | Amazon account ID for EKS integration |
eks_ | Boolean | Enable integration with Amazon EKS |
eks_ | String | Secret access key for the EKS integration IAM user |
email_ | Boolean | If true, |
email_ | String | Specifies whether users must confirm their email address before signing in.off does not require confirmation,soft allows sign-hard requires confirmation before sign-Allowed values: off,soft,hard |
email_ | Boolean | If true,require_ to be true |
email_ | String | Regular expression that is checked against the email used during registration |
email_ | String | If true,email_ regular expression |
enable_ | Boolean | If true, |
enable_ | Boolean | Enables enforcing language server restrictions |
enabled_ | String | Protocol allowed for Git access.all to allow both SSH and HTTP(S)Allowed values: ssh,http,all |
enforce_ | String | — |
enforce_ | String | — |
enforce_ | String | — |
enforce_ | String | If true,terms |
error_ | String | — |
error_ | String | — |
external_ | String | Certificate to use to authenticate with the external authorization service.external_ |
external_ | String | Private key for the certificate when authentication is required for the external authorization service. |
external_ | String | Passphrase to use for the private key when authenticating with the external authorization service. |
external_ | String | Default classification label to use when requesting authorization and no classification label has been specified on the project |
external_ | String | If true,external_,external_,external_ |
external_ | String | The timeout after which an authorization request is aborted, |
external_ | String | URL to which authorization requests are directed |
external_ | String | Time to wait for a response from the pipeline validation service,OK if it times out |
external_ | String | Token to include as the X- header in requests to the URL in external_ |
external_ | String | URL to use for pipeline validation requests |
failed_ | String | Time period in minutes after which the user is unlocked when maximum number of failed sign- |
fe_ | Object | Provides FEApplication |
fe_ | Integer | — |
fe_ | Boolean | — |
fe_ | Boolean | — |
fe_ | String | Repository branch indexing mode for Open Allowed values: default_,allow_ |
fe_ | Boolean | — |
first_ | String | Start day of the week for calendar views and date pickers.0 (default) for Sunday,1 for Monday,6 for Saturday |
floc_ | Boolean | If true, |
force_ | String | — |
git_ | Integer | Maximum number of branch or tag pipelines that can be triggered by a single Git push.0 to disable the limit |
gitaly_ | Integer | Default Gitaly timeout,0 to disable timeouts |
gitaly_ | Integer | Gitaly fast operation timeout, |
gitaly_ | Integer | Medium Gitaly timeout, |
gitlab_ | String | If true, |
gitlab_ | String | If true, |
gitlab_ | String | If true,GITLAB_ environment variable is set, |
gitlab_ | String | Maximum number of Git operations per minute a user can perform.600 |
gitpod_ | Boolean | If true,gitpod_ |
gitpod_ | String | Ona instance URL for the integration |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
grafana_ | Boolean | If true, |
grafana_ | String | Grafana URL |
granular_ | String | — |
gravatar_ | Boolean | If true, |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | Integer | Set the expiration time (in seconds) of authentication tokens of newly registered group runners. |
group_ | String | — |
groups_ | String | — |
hashed_ | String | Create new projects using hashed storage paths: |
helm_ | String | — |
help_ | String | Alternate documentation pages URL |
help_ | Boolean | If true, |
help_ | String | Alternate support URL for help page and help dropdown |
help_ | String | Custom text displayed on the help page |
hide_ | String | If true, |
home_ | String | Users who are not signed in are redirected to this page |
housekeeping_ | Boolean | Enable automatic repository housekeeping (git repack, |
housekeeping_ | Integer | Number of Git pushes after which a full git repack is run.housekeeping_ instead.housekeeping_,housekeeping_,housekeeping_ must be provided |
housekeeping_ | Integer | Number of Git pushes after which git gc is run.housekeeping_ instead.housekeeping_,housekeeping_,housekeeping_ must be provided |
housekeeping_ | Integer | Number of Git pushes after which an incremental git repack is run.housekeeping_ instead.housekeeping_,housekeeping_ must be provided.housekeeping_,housekeeping_,housekeeping_ must be provided |
housekeeping_ | Integer | Number of Git pushes after which Gitaly is asked to optimize a repository.housekeeping_,housekeeping_ must be provided |
html_ | Boolean | If true,false,true |
iframe_ | Array of strings | IDs of embed providers users can embed content from. |
iframe_ | String | Raw newline- |
iframe_ | Boolean | If true, |
import_ | String | — |
import_ | Array of strings | Sources to allow project import from. |
inactive_ | String | If delete_ is true,2 |
inactive_ | String | If delete_ is true,0 |
inactive_ | String | If delete_ is true,1 |
inactive_ | String | Specifies retention period for inactive project and group access tokens.30 |
include_ | String | If true, |
instance_ | String | — |
invisible_ | Boolean | If true, |
invitation_ | String | — |
issues_ | Integer | Maximum number of issue creation requests allowed per minute per user. |
jira_ | String | — |
jira_ | String | ID of the OAuth application used to authenticate with the Git |
jira_ | String | URL of the Git |
jira_ | Boolean | If true, |
jira_ | String | Atlassian Forge app ID (ARI) of the Git |
job_ | Integer | Maximum number of job erasures allowed per minute for a given project |
job_ | Integer | Maximum number of manual job runs allowed per minute for a given project |
job_ | Integer | Maximum number of job retries allowed per minute for a given project |
keep_ | String | If true,true |
kroki_ | String | Enable Kroki diagram proxy.false |
kroki_ | Boolean | If true,kroki_ |
kroki_ | String | Additional formats supported by the Kroki instance.true or false for formats bpmn,blockdiag,excalidraw,mermaid in the format <format>: or <format>: |
kroki_ | String | Kroki server URL |
local_ | Integer | Local Markdown version. |
lock_ | String | If true,require_ setting for all groups on the instance. |
lock_ | String | — |
logging_ | Integer | Version to dual- Allowed values: 1 |
logging_ | Integer | Logging field schema version (v0, Allowed values: 0,1 |
login_ | Boolean | Helps prevent brute- |
mailgun_ | Boolean | Enable Mailgun event receiver |
mailgun_ | String | Mailgun HTTP webhook signing key for receiving events from webhook |
math_ | String | — |
max_ | String | — |
max_ | Integer | Maximum file size, |
max_ | Integer | Maximum attachment size in MB |
max_ | Integer | Maximum decompressed file size for imported archives in MB.0 for unlimited.25600 |
max_ | Integer | Maximum export size in MB |
max_ | Integer | Maximum object count for Git0 for unlimited.:,,,{,[ characters in the response |
max_ | Integer | Maximum size in MB for Git0 for unlimited size |
max_ | String | Maximum allowed size in Mi0 for unlimited |
max_ | String | Maximum allowed object count in CSV HTTP responses from outbound requests.,,;,\t,\n occurrences in the response. |
max_ | String | Maximum allowed nesting depth in JSON HTTP responses from outbound requests |
max_ | String | Maximum allowed object count in JSON HTTP responses from outbound requests.:,,,{,[ occurrences in the response. |
max_ | String | Maximum allowed size in Mi0 for unlimited. |
max_ | String | Maximum allowed object count in XML HTTP responses from outbound requests.<,= occurrences in the response. |
max_ | Integer | Maximum remote file size in MB for imports from external object storages |
max_ | Integer | Maximum import size in MB |
max_ | String | Maximum number of sign- |
max_ | Integer | Maximum number of Git |
max_ | Integer | Maximum size of each Git0 to allow up to 1 TB |
max_ | Integer | Maximum size of the Terraform state file in bytes.0 for unlimited size |
max_ | String | Maximum depth of nested CI/include keyword.100 |
max_ | String | Maximum size in bytes of a single CI/2097152 |
mcp_ | String | — |
members_ | String | — |
metrics_ | Integer | Method call is only tracked if it takes longer than this threshold, |
minimum_ | String | Minimum language server version to accept requests from |
minimum_ | String | Indicates whether passwords require a minimum length. |
mirror_ | String | If true,false, |
namespace_ | Integer | Maximum duration,300 |
notes_ | String | — |
notes_ | String | — |
notify_ | String | If true, |
nuget_ | String | — |
oauth_ | Integer | Maximum lifetime in seconds of all new OAuth access tokens issued by the instance.300 (5 minutes).7200 (2 hours).null, |
observability_ | String | — |
offline_ | String | If true, |
offline_ | String | If true, |
organization_ | String | — |
outbound_ | String | — |
outbound_ | Array of strings | List of trusted domains or IP addresses to which local requests are allowed when local requests for webhooks and integrations are disabled |
package_ | String | If true, |
package_ | String | Number of workers assigned to the packages cleanup policies |
pages_ | String | If true, |
pages_ | String | — |
pages_ | String | If true,true |
password_ | Boolean | Flag indicating if password authentication is enabled for the web interface.password_,signin_ |
password_ | Boolean | If true,true |
password_ | Boolean | If true,true.password_,signin_ |
performance_ | String | Path of the group that is allowed to toggle the performance bar.performance_ instead |
performance_ | String | Path of the group that is allowed to toggle the performance bar |
performance_ | String | Deprecated:performance_ instead. |
personal_ | String | Prefix to prepend to all personal access tokens |
pg_ | String | — |
pg_ | String | — |
pipeline_ | Integer | Maximum number of pipeline cancellations allowed per minute for a given project |
pipeline_ | Integer | Maximum number of pipeline deletions allowed per minute for a given project |
pipeline_ | Integer | Maximum number of pipeline creation requests per minute per user and commit.0 for unlimited requests. |
pipeline_ | Integer | Maximum number of pipeline creation requests allowed per minute per user.0 for unlimited requests |
pipeline_ | Integer | Maximum number of pipeline retries allowed per minute for a given project |
plantuml_ | String | Enable Plantfalse |
plantuml_ | Boolean | If true,plantuml_ |
plantuml_ | String | The Plant |
polling_ | Number | Interval multiplier used by endpoints that perform polling.0 to disable polling |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | Boolean | If true, |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | Integer | Maximum authenticated requests to / |
project_ | String | — |
project_ | String | — |
project_ | Integer | Set the expiration time (in seconds) of authentication tokens of newly registered project runners. |
projects_ | String | — |
projects_ | String | Maximum number of requests per 10 minutes per IP address for unauthenticated requests to the list all projects API.400.0 |
prometheus_ | Boolean | If true, |
protected_ | String | If true, |
protected_ | String | — |
protected_ | String | — |
push_ | Integer | Maximum number of changes (branches or tags) in a single push above which a bulk push event is created.0 does not disable throttling |
push_ | Integer | Maximum number of changes (branches or tags) in a single push above which webhooks and integrations are not triggered.0 does not disable throttling.3 |
rate_ | String | When rate limiting is enabled via the throttle_ settings,Retry later is sent if this is blank |
raw_ | Integer | Maximum number of requests per minute for each raw path (default is 300).0 to disable throttling |
raw_ | Integer | Maximum number of unauthenticated requests per minute across all raw paths in a project (default is 800).0 to disable throttling |
recaptcha_ | Boolean | If true,recaptcha_ and recaptcha_ |
recaptcha_ | String | Generate private key at http: |
recaptcha_ | String | Generate site key at http: |
receive_ | String | Maximum push size (MB) |
reindexing_ | String | — |
reindexing_ | String | — |
relation_ | String | Size of each batch when exporting batched relations. |
remember_ | String | If true, |
repository_ | Boolean | If true,git fsck in all project and wiki repositories to look for silent disk corruption issues |
repository_ | Object | Hash of names of storages taken from gitlab. to weights ranging from 0 to 100. |
require_ | Boolean | If true, |
require_ | String | Allow administrators to require 2 |
require_ | String | If true, |
require_ | Boolean | If true, |
require_ | String | If true,sha for calls to the merge a merge request endpoint. |
require_ | Boolean | If true,two_ |
resource_ | String | — |
resource_ | Object | Definition for resource usage limits enforced in Sidekiq workers |
restricted_ | Array of strings | Selected levels cannot be used by non-private,internal,public as a parameter.public level is restricted,default_ and default_ |
root_ | String | — |
rsa_ | Integer | Restrictions on the complexity of uploaded RSA keys. Allowed values: 0,1024,2048,3072,4096,- |
runner_ | String | Maximum number of requests per minute per job token for requests to the / runner jobs API endpoints.200.0. |
runner_ | String | Maximum number of requests per minute per runner token for requests to the PATCH / runner jobs API endpoint. |
runner_ | String | Maximum number of requests per minute per runner token for requests to the / runner jobs API endpoint.2000.0. |
runner_ | Integer | Set the expiration time (in seconds) of authentication tokens of newly registered instance runners. |
search_ | String | Maximum number of requests per minute for performing a search while authenticated.30.0 |
search_ | String | — |
search_ | String | Maximum number of requests per minute for performing a search while unauthenticated.10.0 |
security_ | Boolean | If true,false, |
security_ | String | Public security contact information made available at https: |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
session_ | Integer | Session duration in minutes. |
session_ | Boolean | If true,session_ |
shared_ | Boolean | Enable shared runners for new projects |
shared_ | String | Shared runners text |
show_ | Boolean | If true, |
sidekiq_ | String | Threshold in bytes at which Sidekiq jobs are compressed before being stored in Redis. |
sidekiq_ | String | Threshold in bytes at which Sidekiq jobs are rejected. |
sidekiq_ | String | Sets the behavior for Sidekiq job size limits. Allowed values: track,compress |
sidekiq_ | String | IANA timezone identifier (for example,America/) applied to all Sidekiq cron jobs. |
sign_ | String | Application sign in restrictions |
signin_ | Boolean | If true,password_ instead.password_,password_ |
signup_ | Boolean | If true,true |
silent_ | String | If true,false |
silent_ | String | If true,false |
slack_ | Boolean | If true,slack_,slack_,slack_,slack_ |
slack_ | String | Client ID of the Git |
slack_ | String | Client secret of the Git |
slack_ | String | Signing secret of the Git |
slack_ | String | Verification token of the Git |
snippet_ | String | Maximum snippet content size in bytes. |
snowplow_ | String | Snowplow site name or application ID,gitlab |
snowplow_ | String | The Snowplow collector hostname |
snowplow_ | String | Snowplow cookie domain,. |
snowplow_ | String | The Snowplow collector for database events hostname.your-) |
snowplow_ | Boolean | Enable Snowplow tracking |
sourcegraph_ | Boolean | If true,sourcegraph_ |
sourcegraph_ | Boolean | If true,true |
sourcegraph_ | String | Configured Sourcegraph instance URL |
spam_ | String | API key used by Git |
spam_ | Boolean | Enable Spam Check via external API endpoint |
spam_ | String | URL of the external Spamcheck service endpoint.grpc or tls.tls forces communication to be encrypted |
static_ | String | Authentication token for the external storage linked in static_ |
static_ | String | URL to an external storage for repository static objects |
tags_ | String | — |
terminal_ | Integer | Maximum time for a web terminal Web0 for unlimited time |
terms | String | (Required by:enforce_) Markdown content for the To |
terraform_ | Boolean | Enable encryption for Terraform state files |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds |
throttle_ | String | Maximum requests per period per user |
throttle_ | String | If true,false |
throttle_ | String | Rate limit period in seconds.throttle_ must be true.15 |
throttle_ | String | Maximum requests per period per user.throttle_ must be true.1000 |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | If true,false |
throttle_ | String | Rate limit period in seconds.throttle_ must be true.3600 |
throttle_ | String | Maximum requests per period per user.throttle_ must be true.3600 |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | If true,/,false |
throttle_ | String | Rate limit period in seconds.throttle_ must be true.60 |
throttle_ | String | Maximum requests per period per user.throttle_ must be true.600 |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds. |
throttle_ | String | Maximum requests per period per user. |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds |
throttle_ | String | Maximum requests per period per user |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds |
throttle_ | String | Maximum requests per period per IP |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | If true,throttle_ and throttle_.throttle_ or throttle_ instead |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | If true,false |
throttle_ | String | Rate limit period in seconds.throttle_ must be true.3600 |
throttle_ | String | Maximum requests per period per IP.throttle_ must be true.3600 |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds. |
throttle_ | String | Maximum requests per period per IP. |
throttle_ | String | Rate limit period in seconds.throttle_ or throttle_ instead |
throttle_ | String | Maximum requests per period per IP.throttle_ or throttle_ instead |
throttle_ | String | If true,throttle_ and throttle_ |
throttle_ | String | Rate limit period in seconds |
throttle_ | String | Maximum requests per period per IP |
time_ | String | If true,false |
top_ | String | If true,true |
two_ | Integer | Amount of time, |
unique_ | String | If true,unique_ and unique_ |
unique_ | String | Maximum number of IPs per user |
unique_ | String | How many seconds an IP is counted towards the limit |
update_ | String | If true, |
usage_ | Boolean | Every week Git |
usage_ | String | — |
usage_ | String | — |
use_ | String | If true, |
user_ | String | — |
user_ | Boolean | If true, |
user_ | String | If true, |
user_ | String | Specify an email address regex pattern to identify default internal users |
user_ | String | If true,false |
user_ | String | If true, |
user_ | String | — |
user_ | String | When set to false disable the You won't be able to pull or push repositories via SSH until you add an SSH key to your profile warning shown to users with no uploaded SSH key |
user_ | String | — |
users_ | String | Maximum number of requests per minute,0 to disable limits. |
users_ | String | Maximum number of requests per minute,0 to disable limits. |
users_ | String | Maximum number of requests per minute,0 to disable limits. |
users_ | String | Maximum number of requests per minute,0 to disable limits. |
users_ | String | — |
users_ | String | — |
users_ | String | Maximum number of requests per minute,0 to disable limits. |
users_ | Integer | Maximum number of calls to the / API per 10 minutes per user.0 for unlimited requests |
users_ | String | — |
valid_ | Array of strings | List of types which are allowed to register a Git[],['group'],['project'],['group', |
version_ | String | If true, |
vscode_ | Object | Settings for VS Code Extension Marketplace |
vscode_ | Object | VS Code Extension Marketplace URL’s when preset is ‘custom’ |
vscode_ | Boolean | If true, |
vscode_ | String | The preset configuration of URL’s for the VS Code Extension Marketplace |
vscode_ | String | — |
vscode_ | String | — |
vscode_ | String | — |
web_ | String | Maximum number of webhook event resend requests per minute,5.0 to disable limits. |
web_ | String | Maximum number of webhook test requests per minute,5.0 to disable limits. |
whats_ | String | Which features What’s new shows.all_ shows features for all tiers,current_ shows only features for the instance’s tier,disabled hides What’s newAllowed values: all_,current_,disabled |
wiki_ | Boolean | If true, |
wiki_ | Integer | Maximum wiki page content size in bytes. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
Retrieve application statistics
GET /api/v4/application/statistics
Retrieves the current application statistics for this GitLab instance.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesAppearance
| Property | Type | Description |
|---|---|---|
description | String | Example:Open source software to collaborate on code |
email_ | Boolean | Example:false |
favicon | String | Example:/ |
footer_ | String | Example:This is a footer message |
header_ | String | Example:/ |
header_ | String | Example:This is a header message |
logo | String | Example:/ |
member_ | String | Example:Please read the member guidelines. |
message_ | String | Example:#e75e40 |
message_ | String | Example:#ffffff |
new_ | String | Example:Please read the FAQs for help. |
profile_ | String | Example:Custom profile image guidelines |
pwa_ | String | Example:Git |
pwa_ | String | Example:/ |
pwa_ | String | Example:Git |
pwa_ | String | Example:Git |
site_ | String | Example:Git |
title | String | Example:Git |
APIEntitiesApplicationSetting
| Property | Type | Description |
|---|---|---|
abuse_ | String | — |
admin_ | String | — |
after_ | String | — |
after_ | String | — |
ai_ | String | — |
akismet_ | String | — |
akismet_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
allow_ | String | — |
anonymous_ | String | — |
archive_ | String | — |
asciidoc_ | String | — |
asset_ | String | — |
asset_ | String | — |
asset_ | String | — |
asset_ | String | — |
authn_ | String | — |
authorized_ | String | — |
auto_ | String | — |
auto_ | String | — |
auto_ | String | — |
autocomplete_ | String | — |
autocomplete_ | String | — |
background_ | String | — |
block_ | String | — |
bulk_ | String | — |
bulk_ | String | — |
bulk_ | String | — |
can_ | String | — |
can_ | String | — |
ci_ | String | — |
ci_ | String | — |
ci_ | Integer | — |
ci_ | Integer | — |
ci_ | String | — |
ci_ | String | — |
ci_ | String | — |
ci_ | String | — |
ci_ | String | — |
code_ | String | — |
code_ | String | — |
commit_ | String | — |
concurrent_ | String | — |
concurrent_ | String | — |
concurrent_ | String | — |
concurrent_ | String | — |
concurrent_ | String | — |
concurrent_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
container_ | String | — |
create_ | String | — |
custom_ | String | — |
deactivate_ | String | — |
deactivate_ | String | — |
deactivation_ | String | — |
decompress_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
default_ | String | — |
delay_ | String | — |
delete_ | String | — |
deletion_ | String | — |
deny_ | String | — |
dependency_ | String | — |
description_ | String | — |
diagramsnet_ | String | — |
diagramsnet_ | String | — |
diff_ | String | — |
diff_ | String | — |
diff_ | String | — |
diff_ | String | — |
diff_ | String | — |
disable_ | String | — |
disable_ | String | — |
disable_ | String | — |
disabled_ | String | — |
dns_ | String | — |
domain_ | String | — |
domain_ | String | — |
domain_ | String | — |
domain_ | String | — |
domain_ | String | — |
downstream_ | String | — |
dsa_ | String | — |
dynamic_ | String | — |
ecdsa_ | String | — |
ecdsa_ | String | — |
ed25519_ | String | — |
ed25519_ | String | — |
eks_ | String | — |
eks_ | String | — |
eks_ | String | — |
email_ | String | — |
email_ | String | — |
email_ | String | — |
email_ | String | — |
email_ | String | — |
enable_ | String | — |
enable_ | String | — |
enabled_ | String | — |
enforce_ | String | — |
enforce_ | String | — |
enforce_ | String | — |
enforce_ | String | — |
error_ | String | — |
error_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
external_ | String | — |
failed_ | String | — |
fe_ | Object | — |
first_ | String | — |
floc_ | String | — |
force_ | String | — |
git_ | String | — |
gitaly_ | String | — |
gitaly_ | String | — |
gitaly_ | String | — |
gitlab_ | String | — |
gitlab_ | String | — |
gitlab_ | String | — |
gitlab_ | String | — |
gitlab_ | String | — |
gitpod_ | String | — |
gitpod_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
global_ | String | — |
grafana_ | String | — |
grafana_ | String | — |
granular_ | String | — |
gravatar_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
group_ | String | — |
groups_ | String | — |
hashed_ | String | — |
helm_ | String | — |
help_ | String | — |
help_ | String | — |
help_ | String | — |
help_ | String | — |
hide_ | String | — |
home_ | String | — |
housekeeping_ | String | — |
housekeeping_ | String | — |
housekeeping_ | String | — |
housekeeping_ | String | — |
housekeeping_ | String | — |
housekeeping_ | String | — |
html_ | String | — |
id | String | — |
iframe_ | String | — |
iframe_ | String | — |
iframe_ | String | — |
import_ | String | — |
import_ | String | — |
inactive_ | String | — |
inactive_ | String | — |
inactive_ | String | — |
inactive_ | String | — |
include_ | String | — |
instance_ | String | — |
invisible_ | String | — |
invitation_ | String | — |
issues_ | String | — |
jira_ | String | — |
jira_ | String | — |
jira_ | String | — |
jira_ | String | — |
jira_ | String | — |
job_ | String | — |
job_ | String | — |
job_ | String | — |
keep_ | String | — |
kroki_ | String | — |
kroki_ | String | — |
kroki_ | String | — |
kroki_ | String | — |
local_ | String | — |
lock_ | String | — |
lock_ | String | — |
logging_ | Integer | — |
logging_ | Integer | — |
login_ | String | — |
mailgun_ | String | — |
mailgun_ | String | — |
math_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
max_ | String | — |
mcp_ | String | — |
members_ | String | — |
metrics_ | String | — |
minimum_ | String | — |
minimum_ | String | — |
mirror_ | String | — |
namespace_ | String | — |
notes_ | String | — |
notes_ | String | — |
notify_ | String | — |
nuget_ | String | — |
oauth_ | String | — |
observability_ | String | — |
offline_ | String | — |
offline_ | String | — |
organization_ | String | — |
outbound_ | String | — |
outbound_ | String | — |
package_ | String | — |
package_ | String | — |
pages_ | String | — |
pages_ | String | — |
pages_ | String | — |
password_ | String | — |
password_ | String | — |
password_ | String | — |
performance_ | String | — |
personal_ | String | — |
pg_ | String | — |
pg_ | String | — |
pipeline_ | String | — |
pipeline_ | String | — |
pipeline_ | String | — |
pipeline_ | String | — |
pipeline_ | String | — |
plantuml_ | String | — |
plantuml_ | String | — |
plantuml_ | String | — |
polling_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
project_ | String | — |
projects_ | String | — |
projects_ | String | — |
prometheus_ | String | — |
protected_ | String | — |
protected_ | String | — |
protected_ | String | — |
push_ | String | — |
push_ | String | — |
rate_ | String | — |
raw_ | String | — |
raw_ | String | — |
recaptcha_ | String | — |
recaptcha_ | String | — |
recaptcha_ | String | — |
receive_ | String | — |
reindexing_ | String | — |
reindexing_ | String | — |
relation_ | String | — |
remember_ | String | — |
repository_ | String | — |
repository_ | String | — |
require_ | String | — |
require_ | String | — |
require_ | String | — |
require_ | String | — |
require_ | String | — |
require_ | String | — |
resource_ | String | — |
resource_ | String | — |
restricted_ | String | — |
root_ | String | — |
rsa_ | String | — |
runner_ | String | — |
runner_ | String | — |
runner_ | String | — |
runner_ | String | — |
search_ | String | — |
search_ | String | — |
search_ | String | — |
security_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
sentry_ | String | — |
session_ | String | — |
session_ | String | — |
shared_ | String | — |
shared_ | String | — |
show_ | String | — |
sidekiq_ | String | — |
sidekiq_ | String | — |
sidekiq_ | String | — |
sidekiq_ | String | — |
sign_ | String | — |
signin_ | String | — |
signup_ | String | — |
silent_ | String | — |
silent_ | String | — |
slack_ | String | — |
slack_ | String | — |
slack_ | String | — |
slack_ | String | — |
slack_ | String | — |
snippet_ | String | — |
snowplow_ | String | — |
snowplow_ | String | — |
snowplow_ | String | — |
snowplow_ | String | — |
snowplow_ | String | — |
sourcegraph_ | String | — |
sourcegraph_ | String | — |
sourcegraph_ | String | — |
spam_ | String | — |
spam_ | String | — |
spam_ | String | — |
static_ | String | — |
static_ | String | — |
tags_ | String | — |
terminal_ | String | — |
terms | String | — |
terraform_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
throttle_ | String | — |
time_ | String | — |
top_ | String | — |
two_ | String | — |
unique_ | String | — |
unique_ | String | — |
unique_ | String | — |
update_ | String | — |
usage_ | String | — |
usage_ | String | — |
usage_ | String | — |
use_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
user_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
users_ | String | — |
valid_ | String | — |
version_ | String | — |
vscode_ | String | — |
vscode_ | String | — |
vscode_ | String | — |
vscode_ | String | — |
web_ | String | — |
web_ | String | — |
whats_ | String | — |
wiki_ | String | — |
wiki_ | String | — |
APIEntitiesApplicationStatistics
| Property | Type | Description |
|---|---|---|
active_ | Integer | Number of active users Example: 21 |
forks | Integer | Approximate number of repo forks Example: 6 |
groups | Integer | Approximate number of projects Example: 1 |
issues | Integer | Approximate number of issues Example: 121 |
merge_ | Integer | Approximate number of merge requests Example: 49 |
milestones | Integer | Approximate number of milestones Example: 3 |
notes | Integer | Approximate number of notes Example: 6 |
projects | Integer | Approximate number of projects Example: 4 |
snippets | Integer | Approximate number of snippets Example: 4 |
ssh_ | Integer | Approximate number of SSH keys Example: 11 |
users | Integer | Approximate number of users Example: 22 |